<?php

/*
// +--------------------------------------------------------------------------+
// | Project:    NVTracker - NetVision BitTorrent Tracker                     |
// +--------------------------------------------------------------------------+
// | This file is part of NVTracker. NVTracker is based on BTSource,          |
// | originally by RedBeard of TorrentBits, extensively modified by           |
// | Gartenzwerg.                                                             |
// |                                                                          |
// | NVTracker is free software; you can redistribute it and/or modify        |
// | it under the terms of the GNU General Public License as published by     |
// | the Free Software Foundation; either version 2 of the License, or        |
// | (at your option) any later version.                                      |
// |                                                                          |
// | NVTracker is distributed in the hope that it will be useful,             |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of           |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            |
// | GNU General Public License for more details.                             |
// |                                                                          |
// | You should have received a copy of the GNU General Public License        |
// | along with NVTracker; if not, write to the Free Software Foundation,     |
// | Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA            |
// +--------------------------------------------------------------------------+
// | Obige Zeilen dürfen nicht entfernt werden!    Do not remove above lines! |
// +--------------------------------------------------------------------------+
 */

require "include/bittorrent.php";

dbconn(false);

loggedinorreturn();

function puke($text = "w00t")
{
    stderr("w00t", $text);
}

if (get_user_class() < UC_MODERATOR)
    puke();

$action = $_POST["action"];

if ($action == "edituser") {
    $userid = $_POST["userid"];
    $username = $_POST["username"];
    $info = $_POST['info'];
    $email = $_POST["email"];
    $chpassword = $_POST["chpassword"];
    $passagain = $_POST["passagain"];
	$title = $_POST["title"];
    $avatar = $_POST["avatar"];
	$chpasskey = ($_POST["chpasskey"] == "1" ? "yes" : "no");
    $enabled = $_POST["enabled"];
    $warned = $_POST["warned"];
$con = ($_POST["con"]== "yes"?"no":"yes"); 
	$webseed = ($_POST["webseed"]=="yes"?"yes":"no");
$vdsl = ($_POST["vdsl"]=="yes"?"yes":"no");
    $promoter = ($_POST["promoter"]=="yes"?"yes":"no");
	$adsl = ($_POST["adsl"]=="yes"?"yes":"no");
    $warnlength = 0 + $_POST["warnlength"];
    $warnpm = $_POST["warnpm"];
    // Mod - up/down -load -start
    if (get_user_class() >= UC_ADMINISTRATOR) {
    $uploadtoadd = $_POST["amountup"];
    $downloadtoadd=  $_POST["amountdown"];
    $formatup = $_POST["formatup"];
    $formatdown = $_POST["formatdown"];
    $mpup = $_POST["upchange"];
    $mpdown = $_POST["downchange"];
    }
    // Mod - up/down -load -end
    // BEGIN: Account Parken
    $parked = ($_POST["parked"]=="yes"?"yes":"no");
    // ENDE: Account Parken
$dj = $_POST["dj"];	
    // BEGIN: Anonymous Torrent Liste by truenoir
    $anon = ($_POST["anon"]=="yes"?"yes":"no"); 
    // ENDE: Anonymous Torrent Liste by truenoir
    $donor = $_POST["donor"];
$wech = $_POST["wech"]; 
    $love = $_POST["love"];
    $support = $_POST["support"];
    $supportfor = $_POST["supportfor"];
    $team = 0+$_POST["team"];
    $modcomment = $_POST["modcomment"];
//Anfang:Shoutbox Postings erlauben bzw verbieten
    $shoutpost = $_POST["shoutpost"];
//Ende:Shoutbox Postings erlauben bzw verbieten
    $waittime = $_POST["wait"];
    $beobachtung = ($_POST["beobachtung"] == "1" ? "yes" : "no"); 
if (get_user_class() >= UC_ADMINISTRATOR) {
      $dipok = ($_POST["dipok"]=="yes"?"yes":"no");
      $dipcomment = $_POST["dipcomment"];
    }
    $seedbonus = $_POST["seedbonus"];
    $acceptrules = $_POST["acceptrules"];
// BEGIN: Single User OnlyUp by R3nat3
    $userfree = ($_POST["userfree"]=="yes"?"yes":"no");
// ENDE: Single User OnlyUp by R3nat3
    $baduser = $_POST["baduser"];
    if ($baduser == "yes")
        $allowupload = "no";
    else
        $allowupload = ($_POST["denyupload"] == "yes"?"no":"yes");

    $class = 0 + $_POST["class"];

    if($class>=$CURUSER["class"] && get_user_class()<UC_SYSOP)
        stderr("Fehler", "Du darfst niemanden über Deine eigene Klasse befördern!"); 
 if($class>=$CURUSER["class"]&&get_user_class()<UC_SYSOP)
        stderr("Fehler", "Du kannst niemanden über Deine eigene Klasse befördern! Das darf nur der Sysop ");
    // check target user class
    $res = mysql_query("SELECT email, title,dj, warned,wech, enabled,vdsl, webseed, promoter, adsl, anon, username, love, class, parked, tlimitall, tlimitseeds, tlimitleeches, allowupload, uploaded, downloaded FROM users WHERE id=$userid") or sqlerr(__FILE__, __LINE__);
    $arr = mysql_fetch_assoc($res) or puke();
    $curenabled = $arr["enabled"];
    $curclass = $arr["class"];
    $curparked = $arr["parked"];
    $curwarned = $arr["warned"];
    $curallowupload = $arr["allowupload"];
    $curtitle = $arr["title"];
    $curdownloaded = $arr["downloaded"];
    $curuploaded = $arr["uploaded"];
    $curusername = $arr["username"];
    $curemail = $arr["email"];
    // User may not edit someone with same or higher class than himself!
    if (get_user_class() != UC_SYSOP && $curclass >= get_user_class())
        puke();
    if ($warnlength && $warnpm == "")
        stderr("Fehler", "Du musst einen Verwarnungsgrund angeben (z.B. \"Zu niedrige Ratio\" oder \"Ich mag Dich einfach nicht!\").");

    if ($enabled != $curenabled && $enabled == true && $_POST["disablereason"] == "")
        stderr("Fehler", "Du musst einen Grund für die Deaktivierung angeben (z.B. \"Verwarnungsbedingungen nicht erfüllt\" oder \"Cheating\"). Der Benutzer erhält den Grund als E-Mail zugesandt.");

    switch ($_POST["limitmode"]) {
        case "auto":
        default:
            $maxtotal = 0;
            $maxseeds = 0;
            $maxleeches = 0;
            break;

        case "unlimited":
            $maxtotal = -1;
            $maxseeds = 0;
            $maxleeches = 0;
            break;

        case "manual":
            $maxtotal = intval($_POST["maxtotal"]);
            $maxseeds = intval($_POST["maxseeds"]);
            $maxleeches = intval($_POST["maxleeches"]);

            if ($maxseeds > $maxtotal) $maxseeds = $maxtotal;
            if ($maxleeches > $maxtotal) $maxleeches = $maxtotal;
            // Allow leeches to be set to 0, but not total and seeds.
            if ($maxtotal <= 0 || $maxleeches < 0 || $maxseeds <= 0)
                stderr("Fehler", "Die Torrentbegrenzung muss bei Seeds und Gesamt min. 1 sein, bei Leeches 0 oder höher.");

            break;
    }

    if ($modcomment != "") {
        write_modcomment($userid, $CURUSER["id"], $modcomment);
    }

    if ($maxtotal <> intval($arr["tlimitall"]) || $maxseeds <> intval($arr["tlimitseeds"]) || $maxleeches <> intval($arr["tlimitleeches"])) {
        $updateset[] = "tlimitall = " . $maxtotal;
        $updateset[] = "tlimitseeds = " . $maxseeds;
        $updateset[] = "tlimitleeches = " . $maxleeches;
        write_modcomment($userid, $CURUSER["id"], "Torrentbegrenzung geändert: $maxleeches Leeches, $maxseeds Seeds, $maxtotal Gesamt");
    }

    if ($curtitle != $title) {
        write_modcomment($userid, $CURUSER["id"], "Titel geändert auf '" . $title . "'.");
    }

    ////Username Editiert = Modcomment
  if (get_user_class() >= UC_SYSOP)
 {
    if ($curusername != $username) {
        write_modcomment($userid, $CURUSER["id"], "Username geändert auf '" . $username . "'.");
    } 
    
 }
    ////Email Editiert = Modcomment
    if (get_user_class() >= UC_SYSOP)
 {
    if ($curemail != $email) {
        write_modcomment($userid, $CURUSER["id"], "E-Mail geändert auf '" . $email . "'.");
    } 
    }
    
    if ($curclass != $class) {
        // Notify user
        $what = ($class > $curclass ? "befördert" : "degradiert");
        $type = ($class > $curclass ? "promotion" : "demotion");
        $msg = sqlesc(($class > $curclass?"[b]Herzlichen Glückwunsch![/b]\\ ":"") . "Du wurdest soeben von [b]" . $CURUSER["username"] . "[/b] zum  '" . get_user_class_name($class) . "' $what.\\ Wenn etwas an dieser Aktion nicht in Ordnung sein sollte, melde Dich bitte bei dem angegebenen Teammitglied!");
        $added = sqlesc(get_date_time());
        sendPersonalMessage(0, $userid, "Du wurdest zum '" . get_user_class_name($class) . "' $what", $msg, PM_FOLDERID_SYSTEM, 0);
        write_log($type, "Der Benutzer '<a href=\"userdetails.php?id=$userid\">$username</a>' wurde von $CURUSER[username] zum " . get_user_class_name($class) . " $what.");
        $updateset[] = "class = $class";
        $what = ($class > $curclass ? "Beförderung" : "Degradierung");
        write_modcomment($userid, $CURUSER["id"], "$what zum '" . get_user_class_name($class) . "'.");
        // User has to re-accept rules if promoted to anything higher than UC_VIP
        if ($class > UC_VIP && $curclass < $class)
            $updateset[] = "accept_rules = 'no'";
    }

//BEGIN: Account parken by volcem, modded by ILM und inge70
        if ($parked != $curparked)
             {
         if ($parked == 'yes')
              {
        $msg = sqlesc("Dein Account wurde von " . $CURUSER['username'] . " in den Parken Modus gesetzt. Um diesen Zustand zu ändern, wende dich an ein Team-Mitglied.");
         write_modcomment($userid, $CURUSER["id"], "Account geparkt");
         write_log("parked", "Account für Benutzer '<a href=\"userdetails.php?id=$userid\">$username</a>' wurde von $CURUSER[username] geparkt");
        sendPersonalMessage(0, $userid, "Account geparkt", $msg, PM_FOLDERID_SYSTEM, 0);
}
else
{
      $msg = sqlesc("Der Account Parken Modus wurde von " . $CURUSER['username'] . " zurück gesetzt.");
 //     write_modcomment($userid, $CURUSER["id"], "Account Parken zurück gesetzt");
 //     write_log("parked", "Account-Parkstatus für Benutzer '<a href=\"userdetails.php?id=$userid\">$username</a>' wurde von $CURUSER[username] zurück gesetzt");
 //     sendPersonalMessage(0, $userid, "Account Parken Modus zurück gesetzt.", $msg, PM_FOLDERID_SYSTEM, 0);
      }
     }
//ENDE: Account parken by volcem, modded by ILM und inge70
// BEGIN Single User OnlyUp by R3nat3
// === Set Single User OnlyUp - Time based
if ( ( isset( $_POST['soulength'] ) ) && ( $soulength = 0 + $_POST['soulength'] ) ) {
	if ( $soulength == 255 ) {
		$modcomment = "User OnlyUp aktiviert von " . $CURUSER['username'] . "für $dur.\n" . $modcomment;
		$msg = sqlesc( "Für Dich wurde von " . $CURUSER['username'] . "dein persönliches OnlyUp aktiviert" );
		$subject = sqlesc( "OnlyUp für Dich !" );
		$updateset[] = "souuntil = '0000-00-00 00:00:00'";
	} else {
		$souuntil = get_date_time( time() + $soulength * 604800 );
		$dur = $soulength . " Woche" . ( $soulength > 1 ? "n" : "" );
		$msg = "Hallo " . $user['username'] . "\n
Du hast OnlyUp bekommen!\n
Dir wurde vom Staff, für $dur, OnlyUp bei allen Torrents gegeben. Du kannst also Saugen bis die Leitung glüht !!!
Nutz es aus, so etwas bekommt nicht jeder !!!


sersn,\n
Staff" ;

		$subject = "OnlyUp für Dich !" ;
		write_modcomment($userid, $CURUSER["id"], "User OnlyUp aktiviert von " . $CURUSER['username'] . " für $dur .\n");
	}
	$added = sqlesc( get_date_time() );
	sendPersonalMessage( 0, $userid, $subject, $msg, PM_FOLDERID_SYSTEM, 0 );
	$updateset[] = "userfree = 'yes'";
	$updateset[] = "souuntil = '$souuntil'";
}
if ( ( isset( $_POST['soulengthadd'] ) ) && ( $soulengthadd = 0 + $_POST['soulengthadd'] ) ) {
	$souuntil = $user["souuntil"];
	$dur = $soulength . " Woche" . ( $soulength > 1 ? "n" : "" );
	$msg = "Hallo " . $user['username'] . "\n
Du hast auf unserem Tracker OnlyUp!\n
Dein OnlyUp wurde von Staff verlängert. Du kannst also auch weiterhin saugen bis der Arzt kommt !!!
Aber lass Dich nicht erwischen ;) !!!


sersn,\n
Staff" ;

	$subject = "Und wieder OnlyUp für Dich !" ;
	write_modcomment($userid, $CURUSER["id"], "OnlyUp verlängert von " . $CURUSER['username'] . ".\n");
	$soulengthadd = $soulengthadd * 7;
	sendPersonalMessage( 0, $userid, $subject, $msg, PM_FOLDERID_SYSTEM, 0 );
	mysql_query( "UPDATE users SET souuntil = IF(souuntil='0000-00-00 00:00:00', ADDDATE(NOW(), INTERVAL $soulengthadd DAY ), ADDDATE( souuntil, INTERVAL $soulengthadd DAY)) WHERE id = $userid" ) or sqlerr( __FILE__, __LINE__ );
	$added = sqlesc( get_date_time() );
}
// === Remove Single User OnlyUp by R3nat3 if they were bad
if ( isset( $_POST['userfree'] ) && ( ( $userfree = $_POST['userfree'] ) != $arr['userfree'] ) ) {
	$updateset[] = "userfree = " . sqlesc( $userfree );
	$updateset[] = "souuntil = '0000-00-00 00:00:00'";

}
// ===end
// ENDE Single User OnlyUp by R3nat3
    if ($warned && $curwarned != $warned) {
        $updateset[] = "warned = " . sqlesc($warned);
        $updateset[] = "warneduntil = '0000-00-00 00:00:00'";
        if ($warned == 'no') {
            $msg = "Deine Verwarnung wurde von " . $CURUSER['username'] . " zurückgenommen.\\ Falls die Verwarnung nicht wegen Unrechtmäßigkeit zurückgenommen wurde, achte bitte in Zukunft darauf, die Tracker-Regeln ernstzunehmen.";
            write_log("remwarn", "Die Verwarnung für Benutzer '<a href=\"userdetails.php?id=$userid\">$username</a>' wurde von $CURUSER[username] zurückgenommen.");
            write_modcomment($userid, $CURUSER["id"], "Die Verwarnung wurde zurückgenommen.");
            sendPersonalMessage(0, $userid, "Deine Verwarnung wurde zurückgenommen", $msg, PM_FOLDERID_SYSTEM, 0);
        }
    } elseif ($warnlength) {
        if ($_POST["addwarnratio"] == "yes") {
            $warnratio = "\ Runtergeladen: " . mksize($curdownloaded) . "\ Hochgeladen: " . mksize($curuploaded) . "\ Ratio: " . number_format($curuploaded / $curdownloaded, 3);
        } else {
            $warnratio = "";
        }
        if ($warnlength == 255) {
mysql_query("UPDATE users SET warnmodcount=warnmodcount+1 WHERE id=".$CURUSER['id']);
            $msg = "Du wurdest von " . $CURUSER['username'] . " [url=rules.php#warning]verwarnt[/url]." . ($warnpm ? "\\ Grund: $warnpm" : "");
            write_modcomment($userid, $CURUSER["id"], "Verwarnung erteilt.\ Grund: $warnpm" . $warnratio);
            $updateset[] = "warneduntil = '0000-00-00 00:00:00'";
        } else {
mysql_query("UPDATE users SET warnmodcount=warnmodcount+1 WHERE id=".$CURUSER['id']);
            $warneduntil = get_date_time(time() + $warnlength * 604800);
            $dur = $warnlength . " Woche" . ($warnlength > 1 ? "n" : "");
            $msg = "Du wurdest für $dur von " . $CURUSER['username'] . " [url=rules.php#warning]verwarnt[/url]." . ($warnpm ? "\\ Grund: $warnpm" : "");
            write_modcomment($userid, $CURUSER["id"], "Verwarnt für $dur.\ Grund: $warnpm" . $warnratio);
            $updateset[] = "warneduntil = '$warneduntil'";
        }
        $added = sqlesc(get_date_time());
        write_log("addwarn", "Der Benutzer '<a href=\"userdetails.php?id=$userid\">$username</a>' wurde von $CURUSER[username] verwarnt ($warnpm).");
        sendPersonalMessage(0, $userid, "Du wurdest verwarnt", $msg . "\\ Falls Du diese Verwarnung ungerechtfertigt findest, melde Dich bitte bei einem Teammitglied!", PM_FOLDERID_SYSTEM, 0);
        $updateset[] = "warned = 'yes'";
$updateset[] = "timeswarned = $timeswarned+1";
          $updateset[] = "warnedby = '".$CURUSER['id']."'";
          $updateset[] = "lastwarned = $added";
    }

    if (is_array($waittime)) {
        foreach($waittime as $torrent => $ack) {
            $torrent = intval($torrent);
            $res = mysql_query("SELECT name FROM torrents WHERE id=$torrent");
            if (mysql_num_rows($res)) {
                $arr = mysql_fetch_assoc($res);
                $torrent_name = $arr["name"];
                $new_status = "";
                if ($ack == "yes") {
                    $msg = "Dein Antrag auf Aufhebung der Wartezeit für den Torrent '" . $torrent_name . "' wurde von " . $CURUSER['username'] . " angenommen. Du kannst nun beginnen, diesen Torrent zu nutzen.";
                    $new_status = "granted";
                    $log_type = "waitgrant";
                    $log_msg = "akzeptiert";
                } elseif ($ack == "no") {
                    $msg = "Dein Antrag auf Aufhebung der Wartezeit für den Torrent '" . $torrent_name . "' wurde von " . $CURUSER['username'] . " abgelehnt. Bitte beachte, dass eine erneute Antragstellung für diesen Torrent nicht möglich ist!\\ Ebenso solltest Du Dir noch einmal die Regeln bzw. das FAQ zum Thema Wartezeitaufhebung durchlesen, bevor Du eine weitere Aufhebung beantragst. Beachte, dass häufige, nicht regelkonforme Anträge zu Verwarnungen führen können!";
                    $new_status = "rejected";
                    $log_type = "waitreject";
                    $log_msg = "abgelehnt";
                }
                if ($new_status) {
                    mysql_query("UPDATE nowait SET `status`='$new_status',grantor=$CURUSER[id] WHERE user_id=$userid AND torrent_id=$torrent AND `status`='pending'");
                    if (mysql_affected_rows()) {
                        write_log($log_type, "Antrag auf Wartezeitaufhebung von '<a href=\"userdetails.php?id=$userid\">$username</a>' für Torrent '<a href=\"details.php?id=$torrent\">$torrent_name</a>' wurde von $CURUSER[username] $log_msg.");
                        sendPersonalMessage(0, $userid, "Dein Antrag auf Wartezeitaufhebung wurde $log_msg", $msg, PM_FOLDERID_SYSTEM, 0);
                        write_modcomment($userid, $CURUSER["id"], "Wartezeitaufhebung für Torrent '" . $torrent_name . " '$log_msg.");
                    }
                }
            }
        }
    }

    if ($allowupload != $curallowupload) {
        $updateset[] = "allowupload = '$allowupload'";
        write_modcomment($userid, $CURUSER["id"], "Torrentupload " . ($allowupload == "yes"?"erlaubt":"gesperrt"));
    }

    if ($enabled != $curenabled) {
        if ($enabled == 'yes') {
            write_modcomment($userid, $CURUSER["id"], "Account aktiviert. Grund:\n" . ($_POST["disablereason"] != ""?$_POST["disablereason"]:""));
            write_log("accenabled", "Benutzeraccount '<a href=\"userdetails.php?id=$userid\">$username</a>' wurde von $CURUSER[username] aktiviert.");
        } else {
            write_modcomment($userid, $CURUSER["id"], "Account deaktiviert. Grund:\n" . $_POST["disablereason"]);
            write_log("accdisabled", "Benutzeraccount '<a href=\"userdetails.php?id=$userid\">$username</a>' wurde von $CURUSER[username] deaktiviert (Grund: " . $_POST["disablereason"] . ").");
            $mailbody = "Dein Account auf " . $GLOBALS["SITENAME"] . " wurde von einem Moderator deaktiviert.
Du kannst dich ab sofort nicht mehr einloggen. Grund für diesen Schritt:

" . $_POST["disablereason"] . "

Bitte sehe in Zukunft davon ab, Dir einen neuen Account zu erstellen. Dieser
wird umgehend und ohne weitere Warnung deaktiviert werden.

Bei Fragen besuche uns im IRC.";
            mail($email, "Account $username auf " . $GLOBALS["SITENAME"] . " wurde deaktiviert", $mailbody);
        }
    }

    $acctdata = mysql_fetch_assoc(mysql_query("SELECT baduser,chash FROM accounts WHERE userid=$userid"));
    if (!is_array($acctdata)) {
        $hash = md5(mksecret());
        mysql_query("INSERT INTO `accounts` (`userid`,`chash`,`lastaccess`,`username`,`email`,`baduser`) VALUES (" . $row["id"] . "," . sqlesc($hash) . ", NOW(), " . sqlesc($username) . ", " . sqlesc($email) . ", " . ($baduser == "yes"?1:0) . ")");
    } else {
        $oldbaduser = ($acctdata["baduser"] == 1 ? "yes" : "no");
        if ($oldbaduser != $baduser) {
            mysql_query("UPDATE accounts SET baduser=" . ($baduser == "yes"?1:0) . " WHERE userid=$userid OR chash=" . sqlesc($acctdata["chash"]));
            write_modcomment($userid, $CURUSER["id"], "BAD-Flag " . ($baduser == "yes"?"gesetzt":"entfernt"));
        }
    }
    $updateset[] = "enabled = " . sqlesc($enabled);
    $updateset[] = "info = " . sqlesc($info);
    $updateset[] = "love = " . sqlesc($love);
    $updateset[] = "donor = " . sqlesc($donor);
    //BEGINN:Account parken by volcem
    $updateset[] = "parked = " . sqlesc($parked);
    //ENDE:Account parken by volcem
	$updateset[] = "supportfor = " . sqlesc($supportfor);
    $updateset[] = "support = " . sqlesc($support);
    $updateset[] = "webseed = " . sqlesc($webseed);
$updateset[] = "dj = " . sqlesc($dj);
$updateset[] = "wech = " . sqlesc($wech);
$updateset[] = "vdsl = " . sqlesc($vdsl);
    $updateset[] = "promoter = " . sqlesc($promoter);	
    $updateset[] = "adsl = " . sqlesc($adsl);
	if (get_user_class() >= UC_SYSOP)
    {
	$updateset[] = "username = " . sqlesc($username);
    }
    $updateset[] = "email = " . sqlesc($email);
    $updateset[] = "anon = " . sqlesc($anon);
    $updateset[] = "avatar = " . sqlesc($avatar);
$updateset[] = "con = " . sqlesc($con); 
    $updateset[] = "title = " . sqlesc($title);
    if($beobachtung == 'yes') {
    $beobachter=$CURUSER["username"]; 
    $updateset[] = "beobachtung = " . sqlesc($beobachtung);
    $updateset[] = "beobachtet_von = " . sqlesc($beobachter);
    }
	$updateset[] = "seedbonus = " . sqlesc($seedbonus);
//Anfang:Shoutbox Postings erlauben bzw verbieten
    $updateset[] = "shoutpost = " . sqlesc($shoutpost);
//Ende:Shoutbox Postings erlauben bzw verbieten
// BEGIN: Single User OnlyUp by R3nat3
	$updateset[] = "userfree = " . sqlesc($userfree);
// ENDE: Single User OnlyUp by R3nat3
    $updateset[] = "accept_rules = " . sqlesc($acceptrules);
if (get_user_class() >= UC_ADMINISTRATOR) {
      $updateset[] = "dipok = " . sqlesc($dipok);
      $updateset[] = "dipcomment = " . sqlesc($dipcomment);
    }
if($uploadtoadd > 0)
    {
        if($mpup == "plus")
            $newupload = $arr["uploaded"] + ($formatup == mb ? ($uploadtoadd * 1048576) : ($uploadtoadd * 1073741824));
        else
            $newupload = $arr["uploaded"] - ($formatup == mb ? ($uploadtoadd * 1048576) : ($uploadtoadd * 1073741824));
        $updateset[] =  "uploaded = $newupload";

    }
    
    if($downloadtoadd > 0)
    {
        if($mpdown == "plus")
            $newdownload = $arr["downloaded"] + ($formatdown == mb ? ($downloadtoadd * 1048576) : ($downloadtoadd * 1073741824));
        else
            $newdownload = $arr["downloaded"] - ($formatdown == mb ? ($downloadtoadd * 1048576) : ($downloadtoadd * 1073741824));
        $updateset[] = "downloaded = $newdownload";
    }
	//passkey reset
if ($chpasskey == 'yes'){
$updateset[] = "passkey = " . sqlesc(mksecret(8));
$resetterid=$CURUSER["id"];
$resettername=$CURUSER["username"];
write_log("passkeyadminreset","Der PassKey von <a href=\"userdetails.php?id=$userid\">$username</a> wurde neu generiert von <a href=\"userdetails.php?id=$resetterid\">$resettername</a>");
}
if ($chpassword != "") {
if (strlen($chpassword) > 40)
 stderr("Error", "Sorry, password is too long (max is 40 chars)");
if ($chpassword != $passagain)
 stderr("Error", "You dumb ass the passwords dont match!");

$sec = mksecret();

$passhash = md5($sec . $chpassword . $sec);

$updateset[] = "secret = " . sqlesc($sec);
$updateset[] = "passhash = " . sqlesc($passhash);
/* logincookie($CURUSER["id"], $passhash); */
   
}
    mysql_query("UPDATE users SET  " . implode(", ", $updateset) . " WHERE id=$userid") or sqlerr(__FILE__, __LINE__);
    if($team>0)
    {
      $anz=mysql_query("select * from teammembers where teamid=$team and userid=$userid");
      if(mysql_num_rows($anz)==0)
      {
        mysql_query("insert into teammembers (userid,teamid) values (".sqlesc($userid).",".sqlesc($team).")");
        write_modcomment($userid, $CURUSER["id"], "Zum Team $team hinzugefügt");
      }
    }
    $returnto = $_POST["returnto"];
if (get_user_class() >= UC_SYSOP) {
if (($_POST["delmodcom"]))
{
$do="DELETE FROM modcomments WHERE id IN (" . implode(", ", $_POST[delmodcom]) . ")";
$res=mysql_query($do);
}
$returnto = $_POST["returnto"];
}
    header("Location: " . $GLOBALS["BASEURL"] . "/$returnto");
    die;
}

puke();

?>OST["returnto"];
}
    header("Location: " . $GLOBALS["BASEURL"] . "/$returnto");
    die;
}

puke();

?>